## org.codehaus.groovy.ast
Class ImportNode

Represents an import statement of a single class author Jochen Theodorou

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`String` | `alias`
`ClassNode` | `type`

Constructor Summary
`ImportNode(ClassNode type, String alias)`

Method Summary
`String` | `getAlias()`
`String` | `getClassName()`
`String` | `getText()`
`ClassNode` | `getType()`

Constructor Detail

### ImportNode

    public ImportNode(ClassNode type, String alias)

Method Detail

### getAlias

    public String getAlias()

### getClassName

    public String getClassName()

### getText

    public String getText()

  return:
    the text display of this import

### getType

    public ClassNode getType()